Get recordings
Retrieve a comprehensive list of all musical recordings associated with a specific work.
Need to get the work UUID first? Use the Get work by ISWC or Get work by platform ID endpoints.
Request
GET
/api/v2/work/{uuid}/recordings
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| uuid | string | A Work UUID | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 100) | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
A Song collection response |
WorkSongCollectionResponse |
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Work not found |